GET /trade/v1/info/trade/{chainId}/{txHash}

Get information of a trade conducted in Unizen API.

Get information of a trade

get
Authorizations
HTTPRequired

[just text field] Please enter token in following format: Bearer

Path parameters
chainIdnumberRequired

Chain id of the trade.

Example: 137
txHashstringRequired

Transaction hash of the trade.

Example: 0xe3d66fa91b621aea1bf743c70db809b47d0b67f82abce471819c84060577b0c2
Responses
chevron-right
200

Get information of a trade

application/json
typestringRequired

Type of trade, single-chain or cross-chain

Example: SINGLE-CHAIN
senderstringRequired

Sender address of the trade

Example: 0xF0Fbf42C54Ac40dA016003baD35E5AefaC6E1CE1
receiverstringRequired

Receiver address of the trade

Example: 0xF0Fbf42C54Ac40dA016003baD35E5AefaC6E1CE1
tokenFromAddressstringRequired

Token from address

Example: 0x72fde64422ec9b5319ea83e6ee34b5290f47ac95
tokenToAddressstringRequired

Token to address

Example: 0xdd75542611d57c4b6e68168b14c3591c539022ed
chainIdFromstringRequired

Chain id of the origin chain

Example: 1
chainIdTostringRequired

Chain id of the destination chain chain

Example: 137
amountstringRequired

Amount of tokens sold

Example: 1000000000000000000000
txHashstringRequired

Tx hash of the trade

Example: 0x3b66976dea06304391c2966d7daec8aadd22388f91ef03c7bef6ff7710d96585
txHashDstobjectRequired

Tx hash of the trade on the destination chain

Example: 0x3b66976dea06304391c2966d7daec8aadd22388f91ef03c7bef6ff7710d96585
nativestringRequired

Balance of native after the transaction

Example: -25690709293901568
gasUsedstringRequired

Gas used by the transaction

Example: 220248
tokensReceivedstring[]Required

List of tokens and funds received by the user

Example: []
statusnumberRequired

Transaction status, 0 is Failed, 1 is Success

Example: 1
blockNumberstringRequired

Block number of the transaction

Example: 12345
txFromstringRequired

Address of the sender of the transaction

Example: 0xF0Fbf42C54Ac40dA016003baD35E5AefaC6E1CE1
txTostringRequired

Address of the receiver of the transaction

Example: 0xF0Fbf42C54Ac40dA016003baD35E5AefaC6E1CE1
gasPricestringRequired

Gas price of the transaction

Example: 1000000000
get
/v1/info/trade/{chainId}/{txHash}
200

Get information of a trade

Last updated